Package org.eclipse.birt.chart.model.component

# Interface Grid

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `GridImpl`

public interface Grid extends IChartObject
A representation of the model object 'Grid'. This type defines the grid associated with an axis.

The following features are supported:

- `Line Attributes`
- `Tick Style`
- `Tick Attributes`
- `Tick Size`
- `Tick Count`

See Also:
  - `ComponentPackage.getGrid()`

## Method Summary

Modifier and Type
Method
Description
`Grid`
`copyInstance()`
`LineAttributes`
`getLineAttributes()`
Returns the value of the 'Line Attributes' containment reference.
`LineAttributes`
`getTickAttributes()`
Returns the value of the 'Tick Attributes' containment reference.
`int`
`getTickCount()`
Returns the value of the 'Tick Count' attribute.
`double`
`getTickSize()`
Returns the value of the 'Tick Size' attribute.
`TickStyle`
`getTickStyle()`
Returns the value of the 'Tick Style' attribute.
`boolean`
`isSetTickCount()`
Returns whether the value of the ' `Tick Count`' attribute is set.
`boolean`
`isSetTickSize()`
Returns whether the value of the ' `Tick Size`' attribute is set.
`boolean`
`isSetTickStyle()`
Returns whether the value of the ' `Tick Style`' attribute is set.
`void`
`setLineAttributes(LineAttributes value)`
Sets the value of the '`Line Attributes`' containment reference.
`void`
`setTickAttributes(LineAttributes value)`
Sets the value of the '`Tick Attributes`' containment reference.
`void`
`setTickCount(int value)`
Sets the value of the '`Tick Count`' attribute.
`void`
`setTickSize(double value)`
Sets the value of the '`Tick Size`' attribute.
`void`
`setTickStyle(TickStyle value)`
Sets the value of the '`Tick Style`' attribute.
`void`
`unsetTickCount()`
Unsets the value of the '`Tick Count`' attribute.
`void`
`unsetTickSize()`
Unsets the value of the '`Tick Size`' attribute.
`void`
`unsetTickStyle()`
Unsets the value of the '`Tick Style`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getLineAttributes

LineAttributes getLineAttributes()
Returns the value of the 'Line Attributes' containment reference. Holds formatting information for the grid lines.

Returns:
  the value of the 'Line Attributes' containment reference.
See Also:
  - `setLineAttributes(LineAttributes)`
  - `ComponentPackage.getGrid_LineAttributes()`

### setLineAttributes

void setLineAttributes(LineAttributes value)
Sets the value of the '`Line Attributes`' containment reference.

Parameters:
  `value` - the new value of the 'Line Attributes' containment reference.
See Also:
  - `getLineAttributes()`

### getTickStyle

TickStyle getTickStyle()
Returns the value of the 'Tick Style' attribute. The default value is `"Left"`. The literals are from the enumeration `TickStyle`. Specifies how the tick is to be marked for the grid line.

Returns:
  the value of the 'Tick Style' attribute.
See Also:
  - `TickStyle`
  - `isSetTickStyle()`
  - `unsetTickStyle()`
  - `setTickStyle(TickStyle)`
  - `ComponentPackage.getGrid_TickStyle()`

### setTickStyle

void setTickStyle(TickStyle value)
Sets the value of the '`Tick Style`' attribute.

Parameters:
  `value` - the new value of the 'Tick Style' attribute.
See Also:
  - `TickStyle`
  - `isSetTickStyle()`
  - `unsetTickStyle()`
  - `getTickStyle()`

### unsetTickStyle

void unsetTickStyle()
Unsets the value of the '`Tick Style`' attribute.

See Also:
  - `isSetTickStyle()`
  - `getTickStyle()`
  - `setTickStyle(TickStyle)`

### isSetTickStyle

boolean isSetTickStyle()
Returns whether the value of the ' `Tick Style`' attribute is set.

Returns:
  whether the value of the 'Tick Style' attribute is set.
See Also:
  - `unsetTickStyle()`
  - `getTickStyle()`
  - `setTickStyle(TickStyle)`

### getTickAttributes

LineAttributes getTickAttributes()
Returns the value of the 'Tick Attributes' containment reference. Specifies the formatting information for the tick.

Returns:
  the value of the 'Tick Attributes' containment reference.
See Also:
  - `setTickAttributes(LineAttributes)`
  - `ComponentPackage.getGrid_TickAttributes()`

### setTickAttributes

void setTickAttributes(LineAttributes value)
Sets the value of the '`Tick Attributes`' containment reference.

Parameters:
  `value` - the new value of the 'Tick Attributes' containment reference.
See Also:
  - `getTickAttributes()`

### getTickSize

double getTickSize()
Returns the value of the 'Tick Size' attribute. Specifies the formatting information for the tick.

Returns:
  the value of the 'Tick Size' attribute.
See Also:
  - `isSetTickSize()`
  - `unsetTickSize()`
  - `setTickSize(double)`
  - `ComponentPackage.getGrid_TickSize()`

### setTickSize

void setTickSize(double value)
Sets the value of the '`Tick Size`' attribute.

Parameters:
  `value` - the new value of the 'Tick Size' attribute.
See Also:
  - `isSetTickSize()`
  - `unsetTickSize()`
  - `getTickSize()`

### unsetTickSize

void unsetTickSize()
Unsets the value of the '`Tick Size`' attribute.

See Also:
  - `isSetTickSize()`
  - `getTickSize()`
  - `setTickSize(double)`

### isSetTickSize

boolean isSetTickSize()
Returns whether the value of the ' `Tick Size`' attribute is set.

Returns:
  whether the value of the 'Tick Size' attribute is set.
See Also:
  - `unsetTickSize()`
  - `getTickSize()`
  - `setTickSize(double)`

### getTickCount

int getTickCount()
Returns the value of the 'Tick Count' attribute. Specifies the frequency of the grid lines per unit of the scale.

Returns:
  the value of the 'Tick Count' attribute.
See Also:
  - `isSetTickCount()`
  - `unsetTickCount()`
  - `setTickCount(int)`
  - `ComponentPackage.getGrid_TickCount()`

### setTickCount

void setTickCount(int value)
Sets the value of the '`Tick Count`' attribute.

Parameters:
  `value` - the new value of the 'Tick Count' attribute.
See Also:
  - `isSetTickCount()`
  - `unsetTickCount()`
  - `getTickCount()`

### unsetTickCount

void unsetTickCount()
Unsets the value of the '`Tick Count`' attribute.

See Also:
  - `isSetTickCount()`
  - `getTickCount()`
  - `setTickCount(int)`

### isSetTickCount

boolean isSetTickCount()
Returns whether the value of the ' `Tick Count`' attribute is set.

Returns:
  whether the value of the 'Tick Count' attribute is set.
See Also:
  - `unsetTickCount()`
  - `getTickCount()`
  - `setTickCount(int)`

### copyInstance

Grid copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`